Method: acceleratorInterconnects.list

API Version : 2026-10-01-preview

Retrieves a list of accelerator interconnects that are contained within the specified project and zone.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}/acceleratorInterconnects?$apiVersion=2026-10-01-preview

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

zone

string

The name of the zone where the accelerator interconnect is located. Zone name should conform to RFC1035.

Query parameters

Parameters
maxResults

integer (uint32 format)

The maximum number of results per page that should be returned. If the number of available results is larger than maxResults, Compute Engine returns a nextPageToken that can be used to get the next page of results in subsequent list requests. Acceptable values are 0 to 500, inclusive. (Default: 500)

pageToken

string

Specifies a page token to use. Set pageToken to the nextPageToken returned by a previous list request to get the next page of results.

filter

string

A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request.

If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either =, !=, >, <, <=, >= or :.

For example, if you are filtering Compute Engine instances, you can exclude instances named example-instance by specifying name != example-instance.

The :* comparison can be used to test whether a key has been defined. For example, to find all objects with owner label use:

labels.owner:*

You can also filter nested fields. For example, you could specify scheduling.automaticRestart = false to include instances only if they are not scheduled for automatic restarts. You can use filtering on nested fields to filter based on resource labels.

To filter on multiple expressions, provide each separate expression within parentheses. For example:

(scheduling.automaticRestart = true)
(cpuPlatform = "Intel Skylake")

By default, each expression is an AND expression. However, you can include AND and OR expressions explicitly. For example:

(cpuPlatform = "Intel Skylake") OR
(cpuPlatform = "Intel Broadwell") AND
(scheduling.automaticRestart = true)

If you want to use a regular expression, use the eq (equal) or ne (not equal) operator against a single un-parenthesized expression with or without quotes or against multiple parenthesized expressions. Examples:

fieldname eq unquoted literal fieldname eq 'single quoted literal' fieldname eq "double quoted literal" (fieldname1 eq literal) (fieldname2 ne "literal")

The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field.

For example, to filter for instances that do not end with name "instance", you would use name ne .*instance.

You cannot combine constraints on multiple fields using regular expressions.

orderBy

string

Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name.

You can also sort results in descending order based on the creation timestamp using orderBy="creationTimestamp desc". This sorts results based on the creationTimestamp field in reverse chronological order (newest result first). Use this to sort resources like operations so that the newest operation is returned first.

Currently, only sorting by name or creationTimestamp desc is supported.

Request body

The request body must be empty.

Response body

Response message for AcceleratorInterconnects.List.

If successful, the response body contains data with the following structure:

JSON representation
{
  "items": [
    {
      "id": string,
      "creationTimestamp": string,
      "name": string,
      "description": string,
      "selfLink": string,
      "selfLinkWithId": string,
      "zone": string,
      "acceleratorTopology": string,
      "labels": {
        string: string,
        ...
      },
      "annotations": {
        string: string,
        ...
      },
      "status": {
        "state": enum,
        "stateDetails": {
          "timestamp": string,
          "error": {
            "errors": [
              {
                "code": string,
                "location": string,
                "message": string,
                "errorDetails": [
                  {

                    // The following is a list of mutually exclusive fields. At most one of the
                    // fields will be set in a response:
                    "errorInfo": {
                      "reason": string,
                      "domain": string,
                      "metadatas": {
                        string: string,
                        ...
                      }
                    },
                    "quotaInfo": {
                      "metricName": string,
                      "limitName": string,
                      "dimensions": {
                        string: string,
                        ...
                      },
                      "limit": number,
                      "futureLimit": number,
                      "rolloutStatus": enum
                    },
                    "help": {
                      "links": [
                        {
                          "description": string,
                          "url": string
                        }
                      ]
                    },
                    "localizedMessage": {
                      "locale": string,
                      "message": string
                    }
                    // End of mutually exclusive fields.
                  }
                ]
              }
            ]
          }
        },
        "acceleratorType": string
      },
      "reactivationMode": enum,
      "params": {
        "capacityPool": {
          "resources": [
            string
          ],
          "partitionIds": [
            string
          ]
        }
      }
    }
  ],
  "nextPageToken": string
}
Fields
items[]

object

A list of AcceleratorInterconnect resources.

Available from version 2026-10-01-preview.

items[].id

string (uint64 format)

Output only. A unique identifier for this resource type.

items[].creationTimestamp

string

Output only. The creation time of this resource in RFC3339 text format.

items[].name

string

The name of the resource. The name must be 1-63 characters long, and comply with RFC1035.

items[].description

string

An optional description of this resource.

items[].selfLink

string

Output only. The fully-qualified URL of this resource.

items[].selfLinkWithId

string

Output only. The fully-qualified URL of this resource containing its unique identifier.

items[].zone

string

Output only. The URL of a zone where the interconnect resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

items[].acceleratorTopology

string

The target topology shape (e.g. "4x4x8").

items[].labels

map (key: string, value: string)

The labels for the accelerator interconnect.

items[].annotations

map (key: string, value: string)

The annotations for the accelerator interconnect.

items[].status

object

Output only. The status of the interconnect.

items[].status.state

enum

Output only. The current state of the interconnect.

items[].status.stateDetails

object

Output only. The result of the latest accelerator topology state check.

items[].status.stateDetails.timestamp

string (Timestamp format)

Output only. Timestamp is shown only if there is an error.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

items[].status.stateDetails.error

object

Output only. Encountered errors.

items[].status.stateDetails.error.errors[]

object

Output only. The array of errors encountered while processing this operation.

items[].status.stateDetails.error.errors[].code

string

Output only. The error type identifier for this error.

items[].status.stateDetails.error.errors[].location

string

Output only. Indicates the field in the request that caused the error. This property is optional.

items[].status.stateDetails.error.errors[].message

string

Output only. An optional, human-readable error message.

items[].status.stateDetails.error.errors[].errorDetails[]

object

Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.

items[].status.stateDetails.error.errors[].errorDetails[].errorInfo

object

Error information containing structured domain, reason, and metadata.

items[].status.stateDetails.error.errors[].errorDetails[].errorInfo.reason

string

The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of [A-Z][A-Z0-9_]+[A-Z0-9], which represents UPPER_SNAKE_CASE.

items[].status.stateDetails.error.errors[].errorDetails[].errorInfo.domain

string

The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com".

items[].status.stateDetails.error.errors[].errorDetails[].errorInfo.metadatas

map (key: string, value: string)

Additional structured details about this error.

Keys must match a regular expression of [a-z][a-zA-Z0-9-_]+ but should ideally be lowerCamelCase. Also, they must be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {"instanceLimit": "100/request"}, should be returned as, {"instanceLimitPerRequest": "100"}, if the client exceeds the number of instances that can be created in a single (batch) request.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo

object

Details about quota limits and metrics when a quota is exceeded.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.metricName

string

The Compute Engine quota metric name.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.limitName

string

The name of the quota limit.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.dimensions

map (key: string, value: string)

The map holding related quota dimensions.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.limit

number

Current effective quota limit. The limit's unit depends on the quota type or metric.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.futureLimit

number

Future quota limit being rolled out. The limit's unit depends on the quota type or metric.

items[].status.stateDetails.error.errors[].errorDetails[].quotaInfo.rolloutStatus

enum

Rollout status of the future quota limit.

items[].status.stateDetails.error.errors[].errorDetails[].help

object

Links and information to help the user resolve the error.

items[].status.stateDetails.error.errors[].errorDetails[].help.links[]

object

URL(s) pointing to additional information on handling the current error.

items[].status.stateDetails.error.errors[].errorDetails[].help.links[].description

string

Describes what the link offers.

items[].status.stateDetails.error.errors[].errorDetails[].help.links[].url

string

The URL of the link.

items[].status.stateDetails.error.errors[].errorDetails[].localizedMessage

object

A localized human-readable error message intended for end users.

items[].status.stateDetails.error.errors[].errorDetails[].localizedMessage.locale

string

The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX"

items[].status.stateDetails.error.errors[].errorDetails[].localizedMessage.message

string

The localized error message in the above locale.

items[].status.acceleratorType

string

Output only. The accelerator type (e.g., "TPU7X").

items[].reactivationMode

enum

The reactivation mode for the accelerator interconnect.

items[].params

object

Input only. [Input Only] Additional params passed with the creation request, but not persisted as part of resource payload.

items[].params.capacityPool

object

The capacity pool to use for the accelerator interconnect.

items[].params.capacityPool.resources[]

string

A list of fully qualified resource names that form the logical bounds. Both full and relative URIs are supported.

items[].params.capacityPool.partitionIds[]

string

The list of physical topology block identifiers.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/compute.readonly

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.acceleratorInterconnects.list

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.